## slingshot 2.18.0

=== DESCRIPTION ===
Package: slingshot
Title: Tools for ordering single-cell sequencing
Version: 2.18.0
Description: Provides functions for inferring continuous, branching 
    lineage structures in low-dimensional data. Slingshot was designed
    to model developmental trajectories in single-cell RNA sequencing 
    data and serve as a component in an analysis pipeline after 
    dimensionality reduction and clustering. It is flexible enough to 
    handle arbitrarily many branching events and allows for the 
    incorporation of prior knowledge through supervised graph 
    construction.
Authors@R: c(
  person("Kelly", "Street", email = "street.kelly@gmail.com", role = c("aut", "cre", "cph")),
  person("Davide","Risso", role = "aut",email = "risso.davide@gmail.com"),
  person("Diya","Das", role = "aut", email = "diyadas@berkeley.edu"),
  person("Sandrine","Dudoit", role = "ths", email = "sandrine@stat.berkeley.edu"),
  person("Koen","Van den Berge", role = "ctb"),
  person(
      "Robrecht", 
      "Cannoodt", 
      email = "rcannood@gmail.com", 
      role = c("ctb"),
      comment = c(ORCID = "0000-0003-3641-729X", github = "rcannood")
    ))
License: Artistic-2.0
Depends: R (>= 4.0), princurve (>= 2.0.4), stats, TrajectoryUtils
Imports: graphics, grDevices, igraph, matrixStats, methods, S4Vectors,
        SingleCellExperiment, SummarizedExperiment
Suggests: BiocGenerics, BiocStyle, clusterExperiment,
        DelayedMatrixStats, knitr, mclust, mgcv, RColorBrewer, rgl,
        rmarkdown, testthat, uwot, covr
VignetteBuilder: knitr
LazyData: false
RoxygenNote: 7.2.0
Encoding: UTF-8
biocViews: Clustering, DifferentialExpression, GeneExpression, RNASeq,
        Sequencing, Software, Sequencing, SingleCell, Transcriptomics,
        Visualization
BugReports: https://github.com/kstreet13/slingshot/issues
git_url: https://git.bioconductor.org/packages/slingshot
git_branch: RELEASE_3_22
git_last_commit: 1c825f7
git_last_commit_date: 2025-10-29
Repository: Bioconductor 3.22
Date/Publication: 2025-10-29
NeedsCompilation: no
Packaged: 2025-10-30 06:35:27 UTC; biocbuild
Author: Kelly Street [aut, cre, cph],
  Davide Risso [aut],
  Diya Das [aut],
  Sandrine Dudoit [ths],
  Koen Van den Berge [ctb],
  Robrecht Cannoodt [ctb] (ORCID:
    <https://orcid.org/0000-0003-3641-729X>, github: rcannood)
Maintainer: Kelly Street <street.kelly@gmail.com>

## slingshot 0.8.1p-4

=== debian/changelog ===
slingshot (0.8.1p-4) unstable; urgency=low

  [ Charlie Smotherman ]
  * Changed XS-Python-Version: 2.5 to >=2.5 so slingshot will build and install
    using python2.6.

  [ Jakub Wilk ]
  * Bumped Standards-Version to 3.8.4 (no changes needed)

 -- Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>  Sat, 20 Mar 2010 19:23:14 +0100

slingshot (0.8.1p-3) unstable; urgency=low

  * No longer including backslashes in Depends/Build-Depends. (Closes: #535310)
  * Bumped Standards-Version to 3.8.2 (no changes needed)

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Fri, 03 Jul 2009 17:59:41 -0400

slingshot (0.8.1p-2) unstable; urgency=low

  [ Sandro Tosi]
  * debian/control
    - switch Vcs-Browser field to viewsvn
    - bump Standards-Version to 3.8.1 (no changes needed)

  [ Ryan Kavanagh ]
  * Applied patch from Gabriel Ruiz for missing menu entry, (Closes: #511647)
    - Installs XPM icon
    - Installs desktop file to /usr/share/applications instead of
      /usr/share/games/applications (update dirs and rules)
  * Updated slingshot.desktop to have slingshot.xpm as icon
  * Prefixed ``Copyright '' to the occurences of '(C)' where lacking in the
    copyright file.
  * Updated the path to the GPL (GPL-2 instead of symlink) in copyright file.
  * Specified the version of the GPL for the packaging in the copyright file.
  * Install a link to FreeSansBold.ttf from ttf-freefont instead of installing
    it ourselves. Also updated the Depends to include ttf-freefont.
  * Renamed debian/menu to debian/slingshot.menu so that the debhelper.mk
    magic can do its thing and install / update the menu.
  * Dropped debian/pycompat (No longer required) and debian/pyversions
    (made redundant by XS-Python-Version in debian/control)
  * Updated slingshot-launcher with comments explaining the logic behind it.

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Sat, 14 Mar 2009 07:35:08 -0400

slingshot (0.8.1p-1) unstable; urgency=low

  * Initial release (Closes: #485522)
  * Created a desktop file

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Thu, 19 Jun 2008 18:06:10 -0400

=== debian/control ===
Source: slingshot
Section: user/games
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Build-Depends: cdbs, debhelper (>= 5)
Build-Depends-Indep: python (>= 2.5), python-support (>= 0.5.3)
Standards-Version: 3.8.4
Homepage: http://www.slingshot-game.org

Package: slingshot
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${misc:Depends}, ${python:Depends}, python-pygame (>= 1.7.1),
 ttf-freefont
Description: simple 2D shooting strategy game set in space, with gravity
 Slingshot is a two dimensional, turn based simulation-strategy game
 set in the gravity fields of several planets. It is a highly
 addictive game, and never the same from round to round due to its
 randomly generated playing fields.
 .
 It is a deceptively simple game, the goal is to shoot the other
 spacecraft through the field of planets, but their gravity makes it
 tricky. The effects of the gravity mean that although it is easy to
 learn how to play, and to enjoy playing, it could take a lifetime to
 thoroughly master.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk

DEB_COMPRESS_EXCLUDE := .py
#DEB_INSTALL_MANPAGES_slingshot := debian/slingshot.1

binary-post-install/slingshot::
	dh_pysupport
	# Install the launcher
	install --mode=755 $(CURDIR)/debian/slingshot-launcher \
	    $(CURDIR)/debian/slingshot/opt/slingshot
	# We don't need the graphics and fonts to be executable
	chmod 644 $(CURDIR)/debian/slingshot/opt/slingshot/data/*
	#rm $(CURDIR)/debian/slingshot/opt/slingshot/data/FreeSansBold.ttf
	#ln -s ../../../fonts/truetype/freefont/FreeSansBold.ttf \
	#    $(CURDIR)/debian/slingshot/opt/slingshot/data/FreeSansBold.ttf

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
http://download.slingshot-game.org/slingshot-([^-]+)\.tar\.gz

## slingshot 0.9

=== debian/changelog ===
slingshot (0.9-2) unstable; urgency=low

  * Team upload.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.
  * Remove DM-Upload-Allowed; it's no longer used by the archive
    software.

  [ Ryan Kavanagh ]
  * Switch myself to uploaders and make PAPT the maintainer
  * Bump standards version to 3.9.6
  * Bump debhelper version to >= 9
  * Bump compat level to 9 
  * Update watch file to no longer use githubredir
  * Make canonical URIs for Vcs-* fields secure
  * Add a Keywords entry to slingshot.desktop, 02_keywords.diff
  * Update the author email address in main menu, 03_author.diff

  [ Petter Reinholdtsen ]
  * Updated symlink location to FreeSansBold.ttf, introduced
    dependency on fonts-freefont-ttf, where FreeSansBold.ttf now
    resides (Closes: #758623).  Patches from Christian Biamont and
    Ubuntu.

 -- Ryan Kavanagh <rak@debian.org>  Tue, 27 Dec 2016 11:00:34 -0500

slingshot (0.9-1) unstable; urgency=low

  * New upstream release
    - Allows fullscreen mode. (Closes: #588472)
    - Updated copyright file
    - Drop debian/slingshot{.{xpm,desktop},-launcher} since they're included
      upstream
    - Update homepage / download location in control / copyright
    - Change default installation location (01_games_path.diff)
  * Bump standards version
  * Switch from CDBS to dh
  * Switch to source format 3.0 (quilt)
  * Drop dependency on ttf-freefont, FreeSansBold.ttf is already provided by
    python-pygames
    - Add override for package-contains-broken-symlink
  * Build dependency on python-support no longer needed, dropped
  * Move python from Build-Dep-Indep to Build-Dep since it's needed for clean
    target
  * Bump python build-dep version from (>= 2.6) to (>= 2.6.6-3~) for dh's
    --with python2 support
  * Fix watch file
  * Turn on DM-Upload-Allowed

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Sun, 30 Oct 2011 14:13:05 -0400

=== debian/control ===
Source: slingshot
Section: games
Priority: extra
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Ryan Kavanagh <rak@debian.org>
Build-Depends: debhelper (>= 9),
 python (>= 2.6.6-3~)
Standards-Version: 3.9.8
Homepage: http://github.com/ryanakca/slingshot
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/slingshot/trunk/
Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/slingshot/trunk/
X-Python-Version: >=2.6

Package: slingshot
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
 , fonts-freefont-ttf
 , python-pygame (>= 1.7.1)
Description: simple 2D shooting strategy game set in space, with gravity
 Slingshot is a two dimensional, turn based simulation-strategy game
 set in the gravity fields of several planets. It is a highly
 addictive game, and never the same from round to round due to its
 randomly generated playing fields.
 .
 It is a deceptively simple game, the goal is to shoot the other
 spacecraft through the field of planets, but their gravity makes it
 tricky. The effects of the gravity mean that although it is easy to
 learn how to play, and to enjoy playing, it could take a lifetime to
 thoroughly master.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_build:

override_dh_auto_install:
	python setup.py install --root=debian/slingshot --install-layout=deb \
	    --prefix=/usr \
	    --install-lib=/usr/share/games \
	    --install-scripts=/usr/games
	# Place link to Debian's FreeSansBold
	rm $(CURDIR)/debian/slingshot/usr/share/games/slingshot/data/FreeSansBold.ttf

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
https://github.com/ryanakca/slingshot/tags .*/(.*)\.tar\.gz

## slingshot 2.19.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: slingshot
 Title: Tools for ordering single-cell sequencing
-Version: 2.18.0
+Version: 2.19.0
 Description: Provides functions for inferring continuous, branching 
     lineage structures in low-dimensional data. Slingshot was designed
     to model developmental trajectories in single-cell RNA sequencing 
@@ -38,13 +38,13 @@
         Visualization
 BugReports: https://github.com/kstreet13/slingshot/issues
 git_url: https://git.bioconductor.org/packages/slingshot
-git_branch: RELEASE_3_22
-git_last_commit: 1c825f7
+git_branch: devel
+git_last_commit: 800ceb7
 git_last_commit_date: 2025-10-29
-Repository: Bioconductor 3.22
-Date/Publication: 2025-10-29
+Repository: Bioconductor 3.23
+Date/Publication: 2025-11-03
 NeedsCompilation: no
-Packaged: 2025-10-30 06:35:27 UTC; biocbuild
+Packaged: 2025-11-04 01:00:33 UTC; biocbuild
 Author: Kelly Street [aut, cre, cph],
   Davide Risso [aut],
   Diya Das [aut],
